'use strict';
const CACHE_NAME = 'flutter-app-cache';
const RESOURCES = {
  "/assets\AssetManifest.json": "b7bfb1beac5038a40c8078dd3872bfc5",
"/assets\assets\images\dragonkeep-banner-699x150.png": "0be77c5599555f44ff160ce37e9018cd",
"/assets\assets\images\dragonkeep-banner.png": "17ed68e51dc4966e2ec2eb656120f0c8",
"/assets\assets\images\dragonkeep-logo-128x128.png": "620e83d839be7604a636faf594d76e06",
"/assets\assets\images\dragonkeep-logo-256x256.png": "6574a63bb0780a3833ef43c02f093c7c",
"/assets\assets\images\dragonkeep-logo.png": "8502570ff28f3633e504e4bfcf7efcea",
"/assets\assets\images\inverted-dragonkeep-logo-256x256.png": "a19d5e35e4677183c320e45c58565f1f",
"/assets\FontManifest.json": "01700ba55b08a6141f33e168c4a6c22f",
"/assets\fonts\MaterialIcons-Regular.ttf": "56d3ffdef7a25659eab6a68a3fbfaf16",
"/assets\LICENSE": "d5b3b61a62cc71dcec2b4fe55dcb7a57",
"/assets\packages\cupertino_icons\assets\CupertinoIcons.ttf": "115e937bb829a890521f72d2e664b632",
"/icons\Icon-192.png": "ac9a721a12bbc803b44f645561ecb1e1",
"/icons\Icon-512.png": "96e752610906ba2a93c65f8abe1645f1",
"/index.html": "69bf8d45fb0e9380db3149c35c0e19a8",
"/main.dart.js": "7e70939ae6143c3448c31100afdbbb36",
"/manifest.json": "1326b9c529c852a1326ed3a2dc0f79c4"
};

self.addEventListener('activate', function (event) {
  event.waitUntil(
    caches.keys().then(function (cacheName) {
      return caches.delete(cacheName);
    }).then(function (_) {
      return caches.open(CACHE_NAME);
    }).then(function (cache) {
      return cache.addAll(Object.keys(RESOURCES));
    })
  );
});

self.addEventListener('fetch', function (event) {
  event.respondWith(
    caches.match(event.request)
      .then(function (response) {
        if (response) {
          return response;
        }
        return fetch(event.request, {
          credentials: 'include'
        });
      })
  );
});
